%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:        A GNOME application for managing encryption keys
Name:           seahorse
Version:        43.0
Release:        7%{?dist}

License:        GPLv2+ and LGPLv2+ and CC-BY-SA
URL:            https://wiki.gnome.org/Apps/Seahorse
Source0:        https://download.gnome.org/sources/%{name}/43/%{name}-%{tarball_version}.tar.xz

Patch0001:      0001-Allow-building-with-GnuPG-2.4.x.patch

BuildRequires: itstool libSM-devel meson
BuildRequires: openldap-devel openssh-clients vala /usr/bin/appstream-util /usr/bin/xsltproc
BuildRequires: desktop-file-utils docbook-style-xsl gettext gpgme-devel >= 1.0
BuildRequires: pkgconfig(gtk+-3.0) pkgconfig(libhandy-1) pkgconfig(libsecret-unstable) pkgconfig(libsoup-3.0) pkgconfig(pwquality)
BuildRequires: pkgconfig(avahi-client) pkgconfig(avahi-glib) pkgconfig(gio-2.0) pkgconfig(gck-1) pkgconfig(gcr-3)

Requires:       pinentry-gui

%description
Seahorse is a graphical interface for managing and using encryption keys.
It also integrates with nautilus, gedit and other places for encryption
operations.  It is a keyring manager.


%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson -Dmanpage=true
%meson_build

%install
%meson_install

%find_lang seahorse --with-gnome --all-name

%check
appstream-util validate-relax --nonet %{buildroot}/%{_metainfodir}/org.gnome.seahorse.Application.appdata.xml
desktop-file-validate ${RPM_BUILD_ROOT}%{_datadir}/applications/org.gnome.seahorse.Application.desktop

%files -f %{name}.lang
%license COPYING*
%doc NEWS README.md
%{_bindir}/seahorse
%{_libexecdir}/seahorse/
%{_datadir}/applications/org.gnome.seahorse.Application.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.seahorse.Application.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.seahorse.Application-symbolic.svg
%{_datadir}/dbus-1/services/org.gnome.seahorse.Application.service
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse*.gschema.xml
%dir %{_datadir}/gnome-shell/
%dir %{_datadir}/gnome-shell/search-providers/
%{_datadir}/gnome-shell/search-providers/seahorse-search-provider.ini
%{_datadir}/seahorse/
%{_mandir}/man1/seahorse.1*
%{_metainfodir}/org.gnome.seahorse.Application.appdata.xml

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Sep 04 2023 kianli <kianli@tencent.com> - 43.0-4
- Allow building with GnuPG-2.4.x

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 cunshunxia <cunshunxia@tencent.com> - 43.0-1
- initial build
